#TDPCMS responseObject

##Overview
responseObject is the generic format for responses from the server-side to requests from the client-side of TDPCMS. As you'd no doubt expect, it's a JSON object which has a defined, predictable format so you know what to expect from a response to any request to the server-side.

##Usage

##Error checking


##Examples

##Format
The format of responseObject is as follows:

```
{
	status: required integer,
	entity: optional mixed,
	err: optional string, 
	ttl: required integer, 
	stime: required integer
}
``` 

##Notes on constituent elements
* [status](./responseObject.status.md): The status code returned by the server, modelled loosely after HTTP status codes
* entity: The content (body) of the response. This may be any JSON-compatible property format e.g. a string, integer, float, array, object etc.
* err: A string describing any errors the server-side wishes to return to the client. These may be generic e.g. "Not found" for a status 404 or custom, as required. 
* ttl: The built-in client-side cache TTL (Time To Live) in milliseconds for the response. This governs how long the client side will cache the response. A value of 0 will cause the item not to be cached at all. The TTL is applied from the time at which the item is placed into the client-side cache, this may be some time after the server sent the response, depending on the connection speed/latency and client-side processing - this low values of TTL should be used with caution as they may not behave expected if considering the transaction from the server-side
* stime: The total amount of time (in milliseconds) which the server spent processing the request. This does not include any of the time the request spent in transit between the client and server or vice versa, that must be timed separately.