#TDPCMS responseObject.status

##Overview
status is a sub-object of responseObject, the generic format for all server-side response to client-side requests.

##Data type
responseObject.status is a mandatory property which is always an integer.

##Possible values and descriptions
responseObject.status will always be one of a defined set of integers which are loosely modelled after [HTTP status codes](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html) (the major part thereof):

| status| Description 	| Notes 	|
| ----------| ------------- | ----------|
| 200  		| Success 		| The request was processed successfully  |
| 201		| Created		| The request resulted in something being created, the created item is referenced in responseObject.entity |
| 202		| Accepted		| The request has been accepted for processing but processing has not yet completed. No further response will be sent by the server |
| 204  		| No content  	| There was no error but no content has been returned |
| 400		| Bad request	| The request was malformed, e.g. one or more parameters missing or in an incorrect format |
| 401		| Unauthorised	| The requesting user is not authorised to make the request - either they are not yet authenticated or do not have sufficient privileges |
| 403		| Forbidden 	| The request is not allowed (this is not due to authentication or lack thereof - that would be a 401, above) |
| 404		| Not found		| The requested action does not exist |
| 500		| Internal server error	 | There was a server-side error processing the request

